image: docker:git
services:
- docker:dind

stages:
- build
- helm-publish

build:
  only:
    - main
  stage: build
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build . -f Dockerfile --build-arg BASE_RUCIO_CLIENT_IMAGE=registry.gitlab.com/ska-telescope/src/src-dm/ska-src-dm-da-rucio-client --build-arg BASE_RUCIO_CLIENT_TAG=$(cat BASE_RUCIO_CLIENT_TAG) --tag $CI_REGISTRY_IMAGE:$(cat BASE_RUCIO_CLIENT_TAG)
    - docker push $CI_REGISTRY_IMAGE:$(cat BASE_RUCIO_CLIENT_TAG)

helm-publish:
  only:
    - main
  stage: helm-publish
  image:
    name: alpine/helm:latest
    entrypoint: [""]
  script:
    - helm repo add --username $CI_REGISTRY_USER --password $CI_REGISTRY_PASSWORD repo https://gitlab.com/api/v4/projects/38166490/packages/helm/stable
    - helm package etc/helm
    - export CHART_NAME=`ls | grep rucio-task-manager*.tgz`
    - helm plugin install https://github.com/chartmuseum/helm-push
    - helm cm-push `ls | grep rucio-task-manager*.tgz` repo

